#ifndef INFOMAINFORM_H
#define INFOMAINFORM_H

#include <QWidget>
#include <QButtonGroup>
#include <QListView>
#include <QStandardItem>
#include <QModelIndex>

#include "task/MyTaskForm.h"
#include "task/DeptTaskForm.h"
#include "task/NewTaskForm.h"

namespace Ui {
class InfoMainForm;
}

class InfoMainForm : public QWidget
{
    Q_OBJECT

public:
    explicit InfoMainForm(QWidget *parent = nullptr);
    ~InfoMainForm();

private:
    Ui::InfoMainForm *ui;

    MyTaskForm * fmMyTask;
    DeptTaskForm * fmDeptTask;
    NewTaskForm * fmNewTask;

    void initForm();
    void initMenuList();
    void initSubMenuForms();

private slots:
    void on_listMenu_clicked(const QModelIndex &index);
};

#endif // INFOMAINFORM_H
